Bug 1450973

Summary: CVE-2017-8890 CVE-2017-9074 CVE-2017-9075 CVE-2017-9076 CVE-2017-9077 kernel: various flaws [fedora-all]
Product: [Fedora] Fedora Reporter: Andrej Nemec <anemec>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 25CC: gansalmon, ichavero, itamar, jforbes, jonathan, jwboyer, kernel-maint, labbott, madhu.chinakonda, mchehab, vdronov
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-29 18:02:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1450972, 1452679, 1452688, 1452691, 1452744    

Description Andrej Nemec 2017-05-15 13:26:37 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Andrej Nemec 2017-05-15 13:26:46 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1450972

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-05-19 13:28:08 UTC
Adding parent bug 1452688 (for CVE-2017-9076).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1450973,1450972,1452688

# Description of your update
notes=Security fix for CVE-2017-8890, CVE-2017-9076

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Andrej Nemec 2017-05-19 13:28:45 UTC
Adding parent bug 1452691 (for CVE-2017-9075).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1450973,1450972,1452688,1452691

# Description of your update
notes=Security fix for CVE-2017-8890, CVE-2017-9076, CVE-2017-9075

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 4 Andrej Nemec 2017-05-19 14:32:18 UTC
*** Bug 1452680 has been marked as a duplicate of this bug. ***

Comment 5 Andrej Nemec 2017-05-19 14:33:55 UTC
Adding parent bug 1452744 (for CVE-2017-9077).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1450973,1450972,1452679,1452688,1452691,1452744

# Description of your update
notes=Security fix for CVE-2017-8890, CVE-2017-9074, CVE-2017-9076, CVE-2017-9075, CVE-2017-9077

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 6 Vladis Dronov 2017-05-25 14:04:36 UTC
many thanks to SuSE for the analysis:

https://www.suse.com/security/cve/CVE-2017-8890/
https://bugzilla.novell.com/show_bug.cgi?id=1038544 - CVE-2017-8890
https://bugzilla.novell.com/show_bug.cgi?id=1039883 - CVE-2017-9075
https://bugzilla.novell.com/show_bug.cgi?id=1039885 - CVE-2017-9076
https://bugzilla.novell.com/show_bug.cgi?id=1040069 - CVE-2017-9077

We will need at least:

1) 657831ffc38e dccp/tcp: do not inherit mc_list from parent

2) 83eaddab4378 ipv6/dccp: do not inherit ipv6_mc_list from parent - CVE-2017-9076 and CVE-2017-9077, they split the fixing commit into the dccp and ipv6 part for CVEs.

3) fdcee2cbb843 sctp: do not inherit ipv6_{mc|ac|fl}_list from parent - CVE-2017-9075

Second commit addresses the same issue for DCCP over IPv6 and third commit
for SCTP over IPv6. Commit message of 657831ffc38e also mentions:

4) 8b485ce69876 tcp: do not inherit fastopen_req from parent

which addresses similar problem found by syzkaller. This one is already in
4.4 and 4.11 but not in older branches. This one doesn't seem to have a CVE id assigned (or at least not one with open bug in bugzilla).

8b485ce69876 should be backported to 3.10 kernel, older kernels do not need
it as TCP fast open was only added in v3.6-rc1.

Comment 7 Fedora End Of Life 2017-11-16 19:28:09 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Justin M. Forbes 2018-01-29 18:02:17 UTC
This was fixed for Fedora with 4.12 kernel updates.